
package de.ivu.elect.presentation.search.menu;

import javax.inject.Named;

@Named(BenutzerSuchparameterCreateMenuItemEntry.COMPONENT_NAME)
public class BenutzerSuchparameterCreateMenuItemEntry extends AbstractBenutzerSuchparameterCreateMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "benutzerSuchparameterCreateMenuItemEntry";

  public BenutzerSuchparameterCreateMenuItemEntry() {
    super();
  }

  @Override
  public String getDialogName() {
    // Cf. /elect-base-war/src/main/webapp/WEB-INF/tags/filterPanel.xhtml!
    return "dlgSaveSearchParameter";
  }

  @Override
  public String getLabelKey() {
    return "benutzer.suchvorlage.create.menu.item.label";
  }
}
